低危 GlusterFS fsync 拒绝服务漏洞

CVE编号

CVE-2018-10924

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-09-05
漏洞描述
Red Hat glusterfs server是美国红帽(Red Hat)公司的一套开源的分布式文件系统。该系统主要为媒体流、数据分析以及其他数据和带宽密集型任务创建大型分布式存储解决方案。

Red Hat glusterfs客户端代码中的‘fsync(2)’函数系统调用存在安全漏洞。攻击者可利用该漏洞造成拒绝服务(内存泄露和gluster客户端消耗主机内存)。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://review.gluster.org/#/c/glusterfs/+/20723/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gluster glusterfs * From
(including)
3.12.11
Up to
(excluding)
3.12.14
运行在以下环境
应用 gluster glusterfs * From
(including)
4.0.0
Up to
(excluding)
4.1.4
运行在以下环境
系统 opensuse_Leap_15.1 glusterfs * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 glusterfs-devel * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 libgfapi0 * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 libgfchangelog0 * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 libgfdb0 * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 libgfrpc0 * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 libgfxdr0 * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 libglusterfs0 * Up to
(excluding)
3.12.15-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_15.1 python-gluster * Up to
(excluding)
3.12.15-lp151.3.3.1
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况